~reesmichael1/roman

ref: d1ce076f57085af215e26f3cdb65a18d7bd6e43a roman/roman.nimble -rw-r--r-- 643 bytes View raw
d1ce076fMichael Rees Show helpful message when managing no subscriptions 4 months ago
                                                                                
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
# Package

version       = "0.1.0"
author        = "Michael Rees"
description   = "A CLI RSS reader"
license       = "GPL-3.0"
srcDir        = "src"
bin           = @["roman"]
binDir        = "bin"


# Dependencies

requires "argparse >= 0.9"
requires "csvtools >= 0.2"
requires "fab >= 0.4"
requires "feednim >= 0.2"
requires "nim >= 0.20.0"
requires "nimpy >= 0.1"
requires "noise >= 0.1"

# We can't depend on the -d:internalRenderer flag here, 
# see https://github.com/nim-lang/nimble/issues/605
requires "https://git.sr.ht/~reesmichael1/nim-html2text >= 0.1.0"

when defined(nimdistros):
  import distros
  foreignDep "python-html2text"